Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.xmla
Class XmlaHandlerImpl

    java.lang.Object
      mondrian.xmla.XmlaHandler
          com.jaspersoft.jasperserver.war.xmla.XmlaHandlerImpl

All Implemented Interfaces:
  mondrian.xmla.XmlaConstants

    public class XmlaHandlerImpl

extends mondrian.xmla.XmlaHandler

Author:
  sbirney

Field Summary

Fields inherited from interface mondrian.xmla.XmlaConstants
`CHH_AUTHORIZATION_CODE, CHH_AUTHORIZATION_FAULT_FS, CHH_CODE, CHH_FAULT_FS, CLIENT_FAULT_FC, CONTENT_DEFAULT, CONTEXT_ROLE, CONTEXT_XMLA_SESSION_ID, CONTEXT_XMLA_SESSION_STATE, CONTEXT_XMLA_SESSION_STATE_BEGIN, CONTEXT_XMLA_SESSION_STATE_END, CONTEXT_XMLA_SESSION_STATE_WITHIN, CPOSTA_CODE, CPOSTA_FAULT_FS, CPREA_CODE, CPREA_FAULT_FS, FAULT_ACTOR, FAULT_FC_PREFIX, FAULT_FS_PREFIX, FAULT_NS_PREFIX, HSB_ACCESS_DENIED_CODE, HSB_ACCESS_DENIED_FAULT_FS, HSB_BAD_COMMAND_CODE, HSB_BAD_COMMAND_FAULT_FS, HSB_BAD_METHOD_CODE, HSB_BAD_METHOD_FAULT_FS, HSB_BAD_METHOD_NS_CODE, HSB_BAD_METHOD_NS_FAULT_FS, HSB_BAD_NON_NULLABLE_COLUMN_CODE, HSB_BAD_NON_NULLABLE_COLUMN_FAULT_FS, HSB_BAD_PROPERTIES_CODE, HSB_BAD_PROPERTIES_FAULT_FS, HSB_BAD_PROPERTIES_LIST_CODE, HSB_BAD_PROPERTIES_LIST_FAULT_FS, HSB_BAD_REQUEST_TYPE_CODE, HSB_BAD_REQUEST_TYPE_FAULT_FS, HSB_BAD_RESTRICTION_LIST_CODE, HSB_BAD_RESTRICTION_LIST_FAULT_FS, HSB_BAD_RESTRICTION_TYPE_CODE, HSB_BAD_RESTRICTION_TYPE_FAULT_FS, HSB_BAD_RESTRICTION_VALUE_CODE, HSB_BAD_RESTRICTION_VALUE_FAULT_FS, HSB_BAD_RESTRICTIONS_CODE, HSB_BAD_RESTRICTIONS_FAULT_FS, HSB_BAD_SOAP_BODY_CODE, HSB_BAD_SOAP_BODY_FAULT_FS, HSB_BAD_STATEMENT_CODE, HSB_BAD_STATEMENT_FAULT_FS, HSB_CONNECTION_DATA_SOURCE_CODE, HSB_CONNECTION_DATA_SOURCE_FAULT_FS, HSB_DISCOVER_FORMAT_CODE, HSB_DISCOVER_FORMAT_FAULT_FS, HSB_DISCOVER_UNPARSE_CODE, HSB_DISCOVER_UNPARSE_FAULT_FS, HSB_DRILL_THROUGH_FORMAT_CODE, HSB_DRILL_THROUGH_FORMAT_FAULT_FS, HSB_DRILL_THROUGH_NOT_ALLOWED_CODE, HSB_DRILL_THROUGH_NOT_ALLOWED_FAULT_FS, HSB_DRILL_THROUGH_SQL_CODE, HSB_DRILL_THROUGH_SQL_FAULT_FS, HSB_DRILLDOWN_BAD_FIRST_ROWSET_CODE, HSB_DRILLDOWN_BAD_FIRST_ROWSET_FAULT_FS, HSB_DRILLDOWN_BAD_MAXROWS_CODE, HSB_DRILLDOWN_BAD_MAXROWS_FAULT_FS, HSB_DRILLDOWN_ERROR_CODE, HSB_DRILLDOWN_ERROR_FAULT_FS, HSB_EXECUTE_QUERY_CODE, HSB_EXECUTE_QUERY_FAULT_FS, HSB_EXECUTE_UNPARSE_CODE, HSB_EXECUTE_UNPARSE_FAULT_FS, HSB_PARSE_QUERY_CODE, HSB_PARSE_QUERY_FAULT_FS, HSB_PROCESS_CODE, HSB_PROCESS_FAULT_FS, HSB_UNKNOWN_CODE, HSB_UNKNOWN_FAULT_FS, HSB_UNSUPPORTED_OPERATION_CODE, HSB_UNSUPPORTED_OPERATION_FAULT_FS, HSH_BAD_SESSION_ID_CODE, HSH_BAD_SESSION_ID_FAULT_FS, HSH_MUST_UNDERSTAND_CODE, HSH_MUST_UNDERSTAND_FAULT_FS, HSH_UNKNOWN_CODE, HSH_UNKNOWN_FAULT_FS, METHOD_DISCOVER, METHOD_EXECUTE, MONDRIAN_NAMESPACE, MSM_UNKNOWN_CODE, MSM_UNKNOWN_FAULT_FS, MUST_UNDERSTAND_FAULT_FC, NS_SOAP_ENC_1_1, NS_SOAP_ENC_1_2, NS_SOAP_ENV_1_1, NS_SOAP_ENV_1_2, NS_SQL, NS_XMLA, NS_XMLA_EMPTY, NS_XMLA_EX, NS_XMLA_MDDATASET, NS_XMLA_ROWSET, NS_XSD, NS_XSI, SERVER_FAULT_FC, SOAP_MUST_UNDERSTAND_ATTR, SOAP_PREFIX, UNKNOWN_ERROR_CODE, UNKNOWN_ERROR_FAULT_FS, USM_DOM_FACTORY_CODE, USM_DOM_FACTORY_FAULT_FS, USM_DOM_PARSE_CODE, USM_DOM_PARSE_FAULT_FS, USM_DOM_PARSE_IO_CODE, USM_DOM_PARSE_IO_FAULT_FS, USM_REQUEST_INPUT_CODE, USM_REQUEST_INPUT_FAULT_FS, USM_REQUEST_STATE_CODE, USM_REQUEST_STATE_FAULT_FS, USM_UNKNOWN_CODE, USM_UNKNOWN_FAULT_FS, VERSION_MISSMATCH_FAULT_FC, XMLA_BEGIN_SESSION, XMLA_END_SESSION, XMLA_SESSION, XMLA_SESSION_ID`

Constructor Summary
`XmlaHandlerImpl(mondrian.xmla.DataSourcesConfig.DataSources dataSources, mondrian.spi.CatalogLocator catalogLocator, RepositoryService repository, OlapConnectionService connectionService)`

Method Summary
`protected mondrian.olap.Connection` | `getConnection(mondrian.xmla.DataSourcesConfig.Catalog catalog, java.lang.String role)` Gets a Connection given a catalog (and implicitly the catalog's data source) and a user role.
`protected mondrian.olap.Connection` | `getConnection(mondrian.xmla.DataSourcesConfig.DataSource ds, java.lang.String catalogUrl, java.lang.String role)` Get a Connection given the Datasource, catalogUrl and user role.
`protected mondrian.olap.Connection` | `getConnection(mondrian.xmla.XmlaRequest request)` Returns a Mondrian connection as specified by a set of properties which are used to locate the MondrianXMLADefinition in the repository overides XmlaHandler version #14, except package access must be protected
`OlapConnectionService` | `getConnectionService()`
`RepositoryService` | `getRepository()`
`protected MondrianConnection` | `lookupXmlaConnection(ExecutionContext context, mondrian.xmla.DataSourcesConfig.DataSource ds)`
`void` | `setConnectionService(OlapConnectionService cs)`
`void` | `setRepository(RepositoryService repository)`

Methods inherited from class mondrian.xmla.XmlaHandler
`deduceValueType, deduceValueType, getCatalog, getCatalog, getCatalogs, getDataSource, getDataSourceEntries, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlaHandlerImpl

    public XmlaHandlerImpl(mondrian.xmla.DataSourcesConfig.DataSources dataSources,
                           mondrian.spi.CatalogLocator catalogLocator,
                           RepositoryService repository,
                           OlapConnectionService connectionService)

Method Detail

### getConnection

    protected mondrian.olap.Connection getConnection(mondrian.xmla.DataSourcesConfig.Catalog catalog,
                                                     java.lang.String role)
                                              throws mondrian.xmla.XmlaException

  Gets a Connection given a catalog (and implicitly the catalog's data source) and a user role. overrides XmlaHandler version 18.

  Overrides:
    `getConnection` in class `mondrian.xmla.XmlaHandler`
  Parameters:
    `catalog` - Catalog
    `role` - User role
  Returns:
    Connection
  Throws:
    `mondrian.xmla.XmlaException`

### getConnection

    protected mondrian.olap.Connection getConnection(mondrian.xmla.DataSourcesConfig.DataSource ds,
                                                     java.lang.String catalogUrl,
                                                     java.lang.String role)
                                              throws mondrian.xmla.XmlaException

  Get a Connection given the Datasource, catalogUrl and user role.

  Parameters:
    `ds` -
    `catalogUrl` -
    `role` -
  Returns:
    mondrian.olap.Connection
  Throws:
    `mondrian.xmla.XmlaException` - overides XmlaHandler version 15, package access must be protected

### getConnection

    protected mondrian.olap.Connection getConnection(mondrian.xmla.XmlaRequest request)
                                              throws mondrian.xmla.XmlaException

  Returns a Mondrian connection as specified by a set of properties which are used to locate the MondrianXMLADefinition in the repository overides XmlaHandler version #14, except package access must be protected

  Throws:
    `mondrian.xmla.XmlaException`

### lookupXmlaConnection

    protected MondrianConnection lookupXmlaConnection(ExecutionContext context,
                                                      mondrian.xmla.DataSourcesConfig.DataSource ds)

### getConnectionService

    public OlapConnectionService getConnectionService()

### setConnectionService

    public void setConnectionService(OlapConnectionService cs)

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.